Subject: Re: [PATCH v2 0/2] setup.c: make bare repo discovery optional

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 May 2022 16:19:37 -0700

Derrick Stolee <[email-masked]> writes:

> * 'no-embedded' allows non-embedded bare repositories. An
>   _embedded bare repository_ is a bare repository whose parent
>   directory is contained in the worktree of a non-bare Git
>   repository. When in this mode, embedded bare repositories are
>   not allowed unless the parent non-bare Git repository has a
>   'safe.embedded' config value storing the path to the current
>   embedded bare repository.

Sounds sensible.  I wonder how expensive this will be in practice,
but the behaviour seems well thought out.